
Const ADS_UF_ACCOUNTDISABLE = &H02  
  
Const ADS_UF_LOCKOUT = &H10  
  
Const ADS_UF_PASSWD_CANT_CHANGE = &H40  
  
Const ADS_UF_NORMAL_ACCOUNT = &H200  
  
Const ADS_UF_INTERDOMAIN_TRUST_ACCOUNT = &H800  
  
Const ADS_UF_DONT_EXPIRE_PASSWD = &H10000  
  
Const ADS_UF_MNS_LOGON_ACCOUNT = &H20000  
  
Const ADS_UF_PASSWORD_EXPIRED = &H800000  
  
If Wscript.Arguments.Count <> 1 Then  
  
Wscript.Echo "Required argument missing"  
  
Wscript.Echo "Distinguished Name of user object"  
  
Wscript.Quit  
  
End If  
  
strObjectDN = Wscript.Arguments(0)  
  
On Error Resume Next  
  
Set objADObject = GetObject("LDAP://" & strObjectDN)  
  
If Err.Number <> 0 Then  
  
On Error GoTo 0  
  
Wscript.Echo "Object not found in AD: " & strObjectDN  
  
Wscript.Quit  
  
End If  
  
Wscript.Echo strObjectDN  
  
lngFlag = objADObject.Get("userAccountControl")  
  
If Err.Number <> 0 Then  
  
On Error GoTo 0  
  
Wscript.Echo "Object has no userAccountControl attribute"  
  
Wscript.Quit  
  
End If  
  
On Error GoTo 0  
  
If (lngFlag And ADS_UF_ACCOUNTDISABLE) <> 0 Then  
  
Wscript.Echo "User account disabled"  
  
End If  
  
If (lngFlag And ADS_UF_HOMEDIR_REQUIRED) <> 0 Then  
  
Wscript.Echo "Home directory required"  
  
End If  
  
If (lngFlag And ADS_UF_LOCKOUT) <> 0 Then  
  
Wscript.Echo "Account currently locked out"  
  
End If  
  
If (lngFlag And ADS_UF_PASSWD_NOTREQD) <> 0 Then  
  
Wscript.Echo "No password required"  
  
End If  
  
If (lngFlag And ADS_UF_PASSWD_CANT_CHANGE) <> 0 Then  
  
Wscript.Echo "User cannot change password"  
  
End If  
  
If (lngFlag And ADS_UF_ENCRYPTED_TEXT_PASSWORD_ALLOWED) <> 0 Then  
  
Wscript.Echo "User can send an encrypted password"  
  
End If  
  
If (lngFlag And ADS_UF_TEMP_DUPLICATE_ACCOUNT) <> 0 Then  
  
Wscript.Echo "Account for user in another domain (local user account)"  
  
End If  
  
If (lngFlag And ADS_UF_NORMAL_ACCOUNT) <> 0 Then  
  
Wscript.Echo "Default account for typical user"  
  
End If  
  
If (lngFlag And ADS_UF_INTERDOMAIN_TRUST_ACCOUNT) <> 0 Then  
  
Wscript.Echo "A ""permit to trust"" account for a domain that ""trusts""  
  
other domains"  
  
End If  
  
If (lngFlag And ADS_UF_WORKSTATION_TRUST_ACCOUNT) <> 0 Then  
  
Wscript.Echo "Computer account"  
  
End If  
  
If (lngFlag And ADS_UF_SERVER_TRUST_ACCOUNT) <> 0 Then  
  
Wscript.Echo "Computer account for system backup domain controller"  
  
End If  
  
If (lngFlag And ADS_UF_DONT_EXPIRE_PASSWD) <> 0 Then  
  
Wscript.Echo "Password does not expire"  
  
End If  
  
If (lngFlag And ADS_UF_MNS_LOGON_ACCOUNT) <> 0 Then  
  
Wscript.Echo "MNS logon account"  
  
End If  
  
If (lngFlag And ADS_UF_SMARTCARD_REQUIRED) <> 0 Then  
  
Wscript.Echo "User must logon using a smart card"  
  
End If  
  
If (lngFlag And ADS_UF_TRUSTED_FOR_DELEGATION) <> 0 Then  
  
Wscript.Echo "Service account under which a service runs, trusted for  
  
Kerberos"  
  
End If  
  
If (lngFlag And ADS_UF_NOT_DELEGATED) <> 0 Then  
  
Wscript.Echo "Security context will not be delegated to a service"  
  
End If  
  
If (lngFlag And ADS_UF_USE_DES_KEY_ONLY) <> 0 Then  
  
Wscript.Echo "Must use DES encryption types for keys"  
  
End If  
  
If (lngFlag And ADS_UF_DONT_REQUIRE_PREAUTH) <> 0 Then  
  
Wscript.Echo "Account does not require Kerberos preauthenication for  
  
logon"  
  
End If  
  
If (lngFlag And ADS_UF_PASSWORD_EXPIRED) <> 0 Then  
  
Wscript.Echo "User password has expired"  
  
End If  
  
If (lngFlag And ADS_UF_TRUSTED_TO_AUTHENTICATE_FOR_DELEGATION) <> 0 Then  
  
Wscript.Echo "Account enabled for delegation"  
  
End If  
